# class SS7Testing | SS7 MTP Test Traffic implementation. More...
Full name | `TelEngine::SS7Testing`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::Mutex [public ], TelEngine::SS7Layer4 [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline SS7Testing (const NamedList& params, unsigned char sio = SS7MSU::MTP_T|SS7MSU::National)
- virtual bool initialize (const NamedList* config)
- virtual bool control (NamedList& params)

#### Protected Methods

- virtual HandledMSU receivedMSU (const SS7MSU& msu, const SS7Label& label, SS7Layer3* network, int sls)
- virtual void notify (SS7Layer3* link, int sls)
- virtual void timerTick (const Time& when)

## Detailed Description

Implementation of SS7 MTP Test User Part - Q.782 2.3

inline SS7Testing (const NamedList& params, unsigned char sio = SS7MSU::MTP_T|SS7MSU::National) | ### SS7Testing

Constructor

bool initialize (const NamedList* config) | ### initialize

[virtual]

Configure and initialize the user part

Parameters:

config | Configuration parameters

Returns: True if the component was initialized properly

Reimplemented from SS7Layer4.

bool control (NamedList& params) | ### control

[virtual]

Query or modify the test part settings or operational parameters

Parameters:

params | The list of parameters to query or change

Returns: True if the control operation was executed

Reimplemented from SignallingComponent.

HandledMSU receivedMSU (const SS7MSU& msu, const SS7Label& label, SS7Layer3* network, int sls) | ### receivedMSU

[protected virtual]

Process a MSU received from a Layer 3 component

Parameters:

msu | Message data, starting with Service Indicator Octet
label | Routing label of the received MSU
network | Network layer that delivered the MSU
sls | Signalling Link the MSU was received from

Returns: Result of MSU processing

Reimplemented from SS7L3User.

void notify (SS7Layer3* link, int sls) | ### notify

[protected virtual]

Process a notification generated by the attached network layer

Parameters:

link | Network or linkset that generated the notification
sls | Signallink Link that generated the notification, negative if none

Returns: True if notification was processed

Reimplemented from SS7L3User.

void timerTick (const Time& when) | ### timerTick

[protected virtual]

Method called periodically by the engine to emit new messages

Parameters:

when | Time to use as computing base for timers

Reimplemented from SignallingComponent.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.